let data = [],
  side = 'right';

function updateData() {
  data = [];
  side = side === 'left' ? 'right' : 'left';
  for (let i = 0; i < 10; i++) {
    data.push(
      side === 'left'
        ? 250 - i * 25
        : 775 - i * 25
    );
  }
}

function update() {
  d3.select('svg')
    .selectAll('circle')
    .data(data)
    .join('circle')
    .attr('cy', 50)
    .attr('r', 20)
    .transition()
    .delay((d, i) => i * 100)
    .attr('cx', d => d);
}

function updateAll() {
  updateData();
  update();
}

updateAll();
